​

Get custom directory

GET
https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}
Path parameters
NameTypeReference
directory_idrequiredstringDirectory ID
Headers
NameValue
Content-Typeapplication/json
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

string

Directory ID (UUID)
name

string

Directory name
description

null | string

Directory description
condition

enum

Directory condition: active | inactive | removed
settings

object

Directory settings
fields

array of objects

Directory fields
author

object

Author user object
401
DescriptionResponse typeExample
Invalid tokenString
Open

A schema has not been defined for this response code.

404
DescriptionResponse typeExample
Not foundObject
Open
Response Attributes
NameTypeDescription
message

string

Error message
code

integer

Error code (customDirectoryErrorCodes)
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.io

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/company/custom-directories/{directory_id}' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!